body {
    background: var(--mobile-background-color-1);
}

input {
    box-sizing: border-box;
    -moz-box-sizing: border-box; /* Firefox */
    -webkit-box-sizing: border-box; /* Safari */
}

.title {
    width: 90%;
    margin: auto;
    text-align: left;
    margin-top: 10px;
    position: relative;
}

.title a {
    display: block;
    float: left;
    color: hsla(0, 0%, 100%, .8);
    font-size: 2.5rem;
    font-weight: 700;
    padding: 10px 0;
}

.name {
    width: 90%;
    margin: auto;
    margin-top: 60px;
    margin-bottom: 20px;
    text-align: left;
    position: relative;
}

.name a {
    display: block;
    float: left;
    color: hsla(0, 0%, 100%, .8);
    font-size: 18px;
    font-weight: 700;
    padding: 10px 0;
    border-bottom: solid 2px #19bb8c;
}

.input-pannel {
    display: flex;
    width: 90%;
    margin: auto;
    position: relative;
    align-items: center;
}

.input-pannel input {
    width: 100%;
    font-size: 15px;
    padding: 20px 10px;
    border: none;
    border-bottom: solid 1px #000;
    color: #FFF;
    background: none;

}
.input-pannel .ver-code-btn{
    display: block;
    position: absolute;
    font-size: 12px;
    background: #000;
    color: #19bb8c;
    padding: 15px 20px;
    right: 0;
    border-radius: 20px;
}
.phone-input input:nth-child(1) {
    width: 18%;
    float: left;
    text-align: center;
    padding: 0px;
}

.phone-input input:nth-child(2) {
    width: 80%;
    float: right;
}

.email-input {
}

.a-btn {
    display: block;
    height: 45px;
    line-height: 45px;
    width: 95%;
    margin: auto;
    text-align: center;
    color: var(--mobile-font-color);
    background: #19bb8c;
    border-radius: 10px;
    margin-top: 20px;
}

.tips {
    width: 85%;
    margin: auto;
}

.tips div {
    height: 50px;
    line-height: 50px;
    width: 50%;
    float: left;
    font-size: 12px;
    color: #000;
    padding:5px 0;
}

.tips div a {
    color: hsla(0, 0%, 100%, .6);
    font-size: 16px;
    font-weight: 500;
}

.check {
    width: 85%;
    margin: auto;
    margin-top: 10px;
    height: 35px;
    display: flex;
    align-items: center;
}

.checkbox-label {
    color: hsla(0, 0%, 100%, .3);
}

.hidden-checkbox {
    display: none; /* 隐藏原生的复选框 */
}

.custom-checkbox {
    display: inline-block;
    width: 20px;
    height: 20px;
    border: 2px solid hsla(0, 0%, 100%, .3);
    border-radius: 4px;
    position: relative;
    top: 4px; /* 调整与文本的垂直对齐 */
    margin-right: 8px; /* 与文本的间距 */
}

/* 当复选框选中时，改变自定义复选框的样式 */
.hidden-checkbox:checked + .custom-checkbox::after {
    content: '';
    position: absolute;
    top: 2px;
    left: 2px;
    width: 12px;
    height: 12px;
    background-color: hsla(0, 0%, 100%, .3); /* 选中时的颜色 */
}


.text-input {
    font-size: 12px;
    color: #CCC;
    height: 50px;
    line-height: 50px;
    width: 90%;
    margin: auto;
}

.input-tags {
    width: 95%;
    margin: auto;
    margin-top: 30px;
    display: none;
}

.input-tags p {
    width: auto;
    float: left;
    height: 25px;
    line-height: 25px;
    border-radius: 10px;
    padding-left: 15px;
    padding-right: 15px;
    margin-left: 10px;
    margin-top: 10px;
    border: solid 1px hsla(0, 0%, 60%, .1);
    font-size: 12px;
    color: #CCC;

}

.input-tags .active {
    color: #FFF;
    background: rgb(252, 213, 53);
}

.input-chain-tags {
    width: 95%;
    margin: auto;

}

.input-chain-tags p {
    width: auto;
    float: left;
    height: 25px;
    line-height: 25px;
    border-radius: 10px;
    padding-left: 15px;
    padding-right: 15px;
    margin-left: 10px;
    margin-top: 10px;
    border: solid 1px hsla(0, 0%, 60%, .1);
    font-size: 12px;
    color: #CCC;

}

.input-chain-tags .active {
    color: #FFF;
    background: rgb(252, 213, 53);
}



#login-btn,#register-btn{
    width: 90%;
    margin: auto;
}
